VFWPRINTF(3P)

NAME
vfwprintf, vswprintf, vwprintf - wide-character formatted output of a stdarg argument list

SYNOPSIS

#include <stdarg.h>
#include <stdio.h>
#include <wchar.h>

int vfwprintf(FILE *restrict stream, const wchar_t *restrict format,
va_list arg);
int vswprintf(wchar_t *restrict ws, size_t n,
const wchar_t *restrict format, va_list arg);
int vwprintf(const wchar_t *restrict format, va_list arg);

DESCRIPTION

The vfwprintf(), vswprintf(), and vwprintf() functions shall be equivalent to fwprintf(), swprintf(), and wprintf() respectively, except that instead of being called with a variable number of arguments, they are called with an argument list as defined by <stdarg.h>.

These functions shall not invoke the va_end macro. However, as these functions do invoke the va_arg macro, the value of ap after the return is unspecified.

RETURN VALUE

Refer to fwprintf() .

ERRORS

Refer to fwprintf() .

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

Applications using these functions should call va_end(ap) afterwards to clean up.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

fwprintf() , the Base Definitions volume of IEEE Std 1003.1-2001, <stdarg.h>, <stdio.h>, <wchar.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .